Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
77.0.0.0
Broadcast address
77.255.255.255
First usable
77.0.0.1
Last usable
77.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D000000 · Integer 1291845632 to 1308622847
Reverse DNS zone
77.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101..00000000.00000000.0000000077.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01001101..00000000.00000000.0000000077.0.0.0
Broadcast01001101..11111111.11111111.1111111177.255.255.255
Split into smaller subnets/19

77.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.0.0.0/1977.0.0.1 to 77.0.31.25477.0.31.2558,190
277.0.32.0/1977.0.32.1 to 77.0.63.25477.0.63.2558,190
377.0.64.0/1977.0.64.1 to 77.0.95.25477.0.95.2558,190
477.0.96.0/1977.0.96.1 to 77.0.127.25477.0.127.2558,190
577.0.128.0/1977.0.128.1 to 77.0.159.25477.0.159.2558,190
677.0.160.0/1977.0.160.1 to 77.0.191.25477.0.191.2558,190
777.0.192.0/1977.0.192.1 to 77.0.223.25477.0.223.2558,190
877.0.224.0/1977.0.224.1 to 77.0.255.25477.0.255.2558,190
977.1.0.0/1977.1.0.1 to 77.1.31.25477.1.31.2558,190
1077.1.32.0/1977.1.32.1 to 77.1.63.25477.1.63.2558,190
1177.1.64.0/1977.1.64.1 to 77.1.95.25477.1.95.2558,190
1277.1.96.0/1977.1.96.1 to 77.1.127.25477.1.127.2558,190
1377.1.128.0/1977.1.128.1 to 77.1.159.25477.1.159.2558,190
1477.1.160.0/1977.1.160.1 to 77.1.191.25477.1.191.2558,190
1577.1.192.0/1977.1.192.1 to 77.1.223.25477.1.223.2558,190
1677.1.224.0/1977.1.224.1 to 77.1.255.25477.1.255.2558,190
1777.2.0.0/1977.2.0.1 to 77.2.31.25477.2.31.2558,190
1877.2.32.0/1977.2.32.1 to 77.2.63.25477.2.63.2558,190
1977.2.64.0/1977.2.64.1 to 77.2.95.25477.2.95.2558,190
2077.2.96.0/1977.2.96.1 to 77.2.127.25477.2.127.2558,190
2177.2.128.0/1977.2.128.1 to 77.2.159.25477.2.159.2558,190
2277.2.160.0/1977.2.160.1 to 77.2.191.25477.2.191.2558,190
2377.2.192.0/1977.2.192.1 to 77.2.223.25477.2.223.2558,190
2477.2.224.0/1977.2.224.1 to 77.2.255.25477.2.255.2558,190
2577.3.0.0/1977.3.0.1 to 77.3.31.25477.3.31.2558,190
2677.3.32.0/1977.3.32.1 to 77.3.63.25477.3.63.2558,190
2777.3.64.0/1977.3.64.1 to 77.3.95.25477.3.95.2558,190
2877.3.96.0/1977.3.96.1 to 77.3.127.25477.3.127.2558,190
2977.3.128.0/1977.3.128.1 to 77.3.159.25477.3.159.2558,190
3077.3.160.0/1977.3.160.1 to 77.3.191.25477.3.191.2558,190
3177.3.192.0/1977.3.192.1 to 77.3.223.25477.3.223.2558,190
3277.3.224.0/1977.3.224.1 to 77.3.255.25477.3.255.2558,190
3377.4.0.0/1977.4.0.1 to 77.4.31.25477.4.31.2558,190
3477.4.32.0/1977.4.32.1 to 77.4.63.25477.4.63.2558,190
3577.4.64.0/1977.4.64.1 to 77.4.95.25477.4.95.2558,190
3677.4.96.0/1977.4.96.1 to 77.4.127.25477.4.127.2558,190
3777.4.128.0/1977.4.128.1 to 77.4.159.25477.4.159.2558,190
3877.4.160.0/1977.4.160.1 to 77.4.191.25477.4.191.2558,190
3977.4.192.0/1977.4.192.1 to 77.4.223.25477.4.223.2558,190
4077.4.224.0/1977.4.224.1 to 77.4.255.25477.4.255.2558,190
4177.5.0.0/1977.5.0.1 to 77.5.31.25477.5.31.2558,190
4277.5.32.0/1977.5.32.1 to 77.5.63.25477.5.63.2558,190
4377.5.64.0/1977.5.64.1 to 77.5.95.25477.5.95.2558,190
4477.5.96.0/1977.5.96.1 to 77.5.127.25477.5.127.2558,190
4577.5.128.0/1977.5.128.1 to 77.5.159.25477.5.159.2558,190
4677.5.160.0/1977.5.160.1 to 77.5.191.25477.5.191.2558,190
4777.5.192.0/1977.5.192.1 to 77.5.223.25477.5.223.2558,190
4877.5.224.0/1977.5.224.1 to 77.5.255.25477.5.255.2558,190
4977.6.0.0/1977.6.0.1 to 77.6.31.25477.6.31.2558,190
5077.6.32.0/1977.6.32.1 to 77.6.63.25477.6.63.2558,190
5177.6.64.0/1977.6.64.1 to 77.6.95.25477.6.95.2558,190
5277.6.96.0/1977.6.96.1 to 77.6.127.25477.6.127.2558,190
5377.6.128.0/1977.6.128.1 to 77.6.159.25477.6.159.2558,190
5477.6.160.0/1977.6.160.1 to 77.6.191.25477.6.191.2558,190
5577.6.192.0/1977.6.192.1 to 77.6.223.25477.6.223.2558,190
5677.6.224.0/1977.6.224.1 to 77.6.255.25477.6.255.2558,190
5777.7.0.0/1977.7.0.1 to 77.7.31.25477.7.31.2558,190
5877.7.32.0/1977.7.32.1 to 77.7.63.25477.7.63.2558,190
5977.7.64.0/1977.7.64.1 to 77.7.95.25477.7.95.2558,190
6077.7.96.0/1977.7.96.1 to 77.7.127.25477.7.127.2558,190
6177.7.128.0/1977.7.128.1 to 77.7.159.25477.7.159.2558,190
6277.7.160.0/1977.7.160.1 to 77.7.191.25477.7.191.2558,190
6377.7.192.0/1977.7.192.1 to 77.7.223.25477.7.223.2558,190
6477.7.224.0/1977.7.224.1 to 77.7.255.25477.7.255.2558,190
6577.8.0.0/1977.8.0.1 to 77.8.31.25477.8.31.2558,190
6677.8.32.0/1977.8.32.1 to 77.8.63.25477.8.63.2558,190
6777.8.64.0/1977.8.64.1 to 77.8.95.25477.8.95.2558,190
6877.8.96.0/1977.8.96.1 to 77.8.127.25477.8.127.2558,190
6977.8.128.0/1977.8.128.1 to 77.8.159.25477.8.159.2558,190
7077.8.160.0/1977.8.160.1 to 77.8.191.25477.8.191.2558,190
7177.8.192.0/1977.8.192.1 to 77.8.223.25477.8.223.2558,190
7277.8.224.0/1977.8.224.1 to 77.8.255.25477.8.255.2558,190
7377.9.0.0/1977.9.0.1 to 77.9.31.25477.9.31.2558,190
7477.9.32.0/1977.9.32.1 to 77.9.63.25477.9.63.2558,190
7577.9.64.0/1977.9.64.1 to 77.9.95.25477.9.95.2558,190
7677.9.96.0/1977.9.96.1 to 77.9.127.25477.9.127.2558,190
7777.9.128.0/1977.9.128.1 to 77.9.159.25477.9.159.2558,190
7877.9.160.0/1977.9.160.1 to 77.9.191.25477.9.191.2558,190
7977.9.192.0/1977.9.192.1 to 77.9.223.25477.9.223.2558,190
8077.9.224.0/1977.9.224.1 to 77.9.255.25477.9.255.2558,190
8177.10.0.0/1977.10.0.1 to 77.10.31.25477.10.31.2558,190
8277.10.32.0/1977.10.32.1 to 77.10.63.25477.10.63.2558,190
8377.10.64.0/1977.10.64.1 to 77.10.95.25477.10.95.2558,190
8477.10.96.0/1977.10.96.1 to 77.10.127.25477.10.127.2558,190
8577.10.128.0/1977.10.128.1 to 77.10.159.25477.10.159.2558,190
8677.10.160.0/1977.10.160.1 to 77.10.191.25477.10.191.2558,190
8777.10.192.0/1977.10.192.1 to 77.10.223.25477.10.223.2558,190
8877.10.224.0/1977.10.224.1 to 77.10.255.25477.10.255.2558,190
8977.11.0.0/1977.11.0.1 to 77.11.31.25477.11.31.2558,190
9077.11.32.0/1977.11.32.1 to 77.11.63.25477.11.63.2558,190
9177.11.64.0/1977.11.64.1 to 77.11.95.25477.11.95.2558,190
9277.11.96.0/1977.11.96.1 to 77.11.127.25477.11.127.2558,190
9377.11.128.0/1977.11.128.1 to 77.11.159.25477.11.159.2558,190
9477.11.160.0/1977.11.160.1 to 77.11.191.25477.11.191.2558,190
9577.11.192.0/1977.11.192.1 to 77.11.223.25477.11.223.2558,190
9677.11.224.0/1977.11.224.1 to 77.11.255.25477.11.255.2558,190
9777.12.0.0/1977.12.0.1 to 77.12.31.25477.12.31.2558,190
9877.12.32.0/1977.12.32.1 to 77.12.63.25477.12.63.2558,190
9977.12.64.0/1977.12.64.1 to 77.12.95.25477.12.95.2558,190
10077.12.96.0/1977.12.96.1 to 77.12.127.25477.12.127.2558,190
10177.12.128.0/1977.12.128.1 to 77.12.159.25477.12.159.2558,190
10277.12.160.0/1977.12.160.1 to 77.12.191.25477.12.191.2558,190
10377.12.192.0/1977.12.192.1 to 77.12.223.25477.12.223.2558,190
10477.12.224.0/1977.12.224.1 to 77.12.255.25477.12.255.2558,190
10577.13.0.0/1977.13.0.1 to 77.13.31.25477.13.31.2558,190
10677.13.32.0/1977.13.32.1 to 77.13.63.25477.13.63.2558,190
10777.13.64.0/1977.13.64.1 to 77.13.95.25477.13.95.2558,190
10877.13.96.0/1977.13.96.1 to 77.13.127.25477.13.127.2558,190
10977.13.128.0/1977.13.128.1 to 77.13.159.25477.13.159.2558,190
11077.13.160.0/1977.13.160.1 to 77.13.191.25477.13.191.2558,190
11177.13.192.0/1977.13.192.1 to 77.13.223.25477.13.223.2558,190
11277.13.224.0/1977.13.224.1 to 77.13.255.25477.13.255.2558,190
11377.14.0.0/1977.14.0.1 to 77.14.31.25477.14.31.2558,190
11477.14.32.0/1977.14.32.1 to 77.14.63.25477.14.63.2558,190
11577.14.64.0/1977.14.64.1 to 77.14.95.25477.14.95.2558,190
11677.14.96.0/1977.14.96.1 to 77.14.127.25477.14.127.2558,190
11777.14.128.0/1977.14.128.1 to 77.14.159.25477.14.159.2558,190
11877.14.160.0/1977.14.160.1 to 77.14.191.25477.14.191.2558,190
11977.14.192.0/1977.14.192.1 to 77.14.223.25477.14.223.2558,190
12077.14.224.0/1977.14.224.1 to 77.14.255.25477.14.255.2558,190
12177.15.0.0/1977.15.0.1 to 77.15.31.25477.15.31.2558,190
12277.15.32.0/1977.15.32.1 to 77.15.63.25477.15.63.2558,190
12377.15.64.0/1977.15.64.1 to 77.15.95.25477.15.95.2558,190
12477.15.96.0/1977.15.96.1 to 77.15.127.25477.15.127.2558,190
12577.15.128.0/1977.15.128.1 to 77.15.159.25477.15.159.2558,190
12677.15.160.0/1977.15.160.1 to 77.15.191.25477.15.191.2558,190
12777.15.192.0/1977.15.192.1 to 77.15.223.25477.15.223.2558,190
12877.15.224.0/1977.15.224.1 to 77.15.255.25477.15.255.2558,190
12977.16.0.0/1977.16.0.1 to 77.16.31.25477.16.31.2558,190
13077.16.32.0/1977.16.32.1 to 77.16.63.25477.16.63.2558,190
13177.16.64.0/1977.16.64.1 to 77.16.95.25477.16.95.2558,190
13277.16.96.0/1977.16.96.1 to 77.16.127.25477.16.127.2558,190
13377.16.128.0/1977.16.128.1 to 77.16.159.25477.16.159.2558,190
13477.16.160.0/1977.16.160.1 to 77.16.191.25477.16.191.2558,190
13577.16.192.0/1977.16.192.1 to 77.16.223.25477.16.223.2558,190
13677.16.224.0/1977.16.224.1 to 77.16.255.25477.16.255.2558,190
13777.17.0.0/1977.17.0.1 to 77.17.31.25477.17.31.2558,190
13877.17.32.0/1977.17.32.1 to 77.17.63.25477.17.63.2558,190
13977.17.64.0/1977.17.64.1 to 77.17.95.25477.17.95.2558,190
14077.17.96.0/1977.17.96.1 to 77.17.127.25477.17.127.2558,190
14177.17.128.0/1977.17.128.1 to 77.17.159.25477.17.159.2558,190
14277.17.160.0/1977.17.160.1 to 77.17.191.25477.17.191.2558,190
14377.17.192.0/1977.17.192.1 to 77.17.223.25477.17.223.2558,190
14477.17.224.0/1977.17.224.1 to 77.17.255.25477.17.255.2558,190
14577.18.0.0/1977.18.0.1 to 77.18.31.25477.18.31.2558,190
14677.18.32.0/1977.18.32.1 to 77.18.63.25477.18.63.2558,190
14777.18.64.0/1977.18.64.1 to 77.18.95.25477.18.95.2558,190
14877.18.96.0/1977.18.96.1 to 77.18.127.25477.18.127.2558,190
14977.18.128.0/1977.18.128.1 to 77.18.159.25477.18.159.2558,190
15077.18.160.0/1977.18.160.1 to 77.18.191.25477.18.191.2558,190
15177.18.192.0/1977.18.192.1 to 77.18.223.25477.18.223.2558,190
15277.18.224.0/1977.18.224.1 to 77.18.255.25477.18.255.2558,190
15377.19.0.0/1977.19.0.1 to 77.19.31.25477.19.31.2558,190
15477.19.32.0/1977.19.32.1 to 77.19.63.25477.19.63.2558,190
15577.19.64.0/1977.19.64.1 to 77.19.95.25477.19.95.2558,190
15677.19.96.0/1977.19.96.1 to 77.19.127.25477.19.127.2558,190
15777.19.128.0/1977.19.128.1 to 77.19.159.25477.19.159.2558,190
15877.19.160.0/1977.19.160.1 to 77.19.191.25477.19.191.2558,190
15977.19.192.0/1977.19.192.1 to 77.19.223.25477.19.223.2558,190
16077.19.224.0/1977.19.224.1 to 77.19.255.25477.19.255.2558,190
16177.20.0.0/1977.20.0.1 to 77.20.31.25477.20.31.2558,190
16277.20.32.0/1977.20.32.1 to 77.20.63.25477.20.63.2558,190
16377.20.64.0/1977.20.64.1 to 77.20.95.25477.20.95.2558,190
16477.20.96.0/1977.20.96.1 to 77.20.127.25477.20.127.2558,190
16577.20.128.0/1977.20.128.1 to 77.20.159.25477.20.159.2558,190
16677.20.160.0/1977.20.160.1 to 77.20.191.25477.20.191.2558,190
16777.20.192.0/1977.20.192.1 to 77.20.223.25477.20.223.2558,190
16877.20.224.0/1977.20.224.1 to 77.20.255.25477.20.255.2558,190
16977.21.0.0/1977.21.0.1 to 77.21.31.25477.21.31.2558,190
17077.21.32.0/1977.21.32.1 to 77.21.63.25477.21.63.2558,190
17177.21.64.0/1977.21.64.1 to 77.21.95.25477.21.95.2558,190
17277.21.96.0/1977.21.96.1 to 77.21.127.25477.21.127.2558,190
17377.21.128.0/1977.21.128.1 to 77.21.159.25477.21.159.2558,190
17477.21.160.0/1977.21.160.1 to 77.21.191.25477.21.191.2558,190
17577.21.192.0/1977.21.192.1 to 77.21.223.25477.21.223.2558,190
17677.21.224.0/1977.21.224.1 to 77.21.255.25477.21.255.2558,190
17777.22.0.0/1977.22.0.1 to 77.22.31.25477.22.31.2558,190
17877.22.32.0/1977.22.32.1 to 77.22.63.25477.22.63.2558,190
17977.22.64.0/1977.22.64.1 to 77.22.95.25477.22.95.2558,190
18077.22.96.0/1977.22.96.1 to 77.22.127.25477.22.127.2558,190
18177.22.128.0/1977.22.128.1 to 77.22.159.25477.22.159.2558,190
18277.22.160.0/1977.22.160.1 to 77.22.191.25477.22.191.2558,190
18377.22.192.0/1977.22.192.1 to 77.22.223.25477.22.223.2558,190
18477.22.224.0/1977.22.224.1 to 77.22.255.25477.22.255.2558,190
18577.23.0.0/1977.23.0.1 to 77.23.31.25477.23.31.2558,190
18677.23.32.0/1977.23.32.1 to 77.23.63.25477.23.63.2558,190
18777.23.64.0/1977.23.64.1 to 77.23.95.25477.23.95.2558,190
18877.23.96.0/1977.23.96.1 to 77.23.127.25477.23.127.2558,190
18977.23.128.0/1977.23.128.1 to 77.23.159.25477.23.159.2558,190
19077.23.160.0/1977.23.160.1 to 77.23.191.25477.23.191.2558,190
19177.23.192.0/1977.23.192.1 to 77.23.223.25477.23.223.2558,190
19277.23.224.0/1977.23.224.1 to 77.23.255.25477.23.255.2558,190
19377.24.0.0/1977.24.0.1 to 77.24.31.25477.24.31.2558,190
19477.24.32.0/1977.24.32.1 to 77.24.63.25477.24.63.2558,190
19577.24.64.0/1977.24.64.1 to 77.24.95.25477.24.95.2558,190
19677.24.96.0/1977.24.96.1 to 77.24.127.25477.24.127.2558,190
19777.24.128.0/1977.24.128.1 to 77.24.159.25477.24.159.2558,190
19877.24.160.0/1977.24.160.1 to 77.24.191.25477.24.191.2558,190
19977.24.192.0/1977.24.192.1 to 77.24.223.25477.24.223.2558,190
20077.24.224.0/1977.24.224.1 to 77.24.255.25477.24.255.2558,190
20177.25.0.0/1977.25.0.1 to 77.25.31.25477.25.31.2558,190
20277.25.32.0/1977.25.32.1 to 77.25.63.25477.25.63.2558,190
20377.25.64.0/1977.25.64.1 to 77.25.95.25477.25.95.2558,190
20477.25.96.0/1977.25.96.1 to 77.25.127.25477.25.127.2558,190
20577.25.128.0/1977.25.128.1 to 77.25.159.25477.25.159.2558,190
20677.25.160.0/1977.25.160.1 to 77.25.191.25477.25.191.2558,190
20777.25.192.0/1977.25.192.1 to 77.25.223.25477.25.223.2558,190
20877.25.224.0/1977.25.224.1 to 77.25.255.25477.25.255.2558,190
20977.26.0.0/1977.26.0.1 to 77.26.31.25477.26.31.2558,190
21077.26.32.0/1977.26.32.1 to 77.26.63.25477.26.63.2558,190
21177.26.64.0/1977.26.64.1 to 77.26.95.25477.26.95.2558,190
21277.26.96.0/1977.26.96.1 to 77.26.127.25477.26.127.2558,190
21377.26.128.0/1977.26.128.1 to 77.26.159.25477.26.159.2558,190
21477.26.160.0/1977.26.160.1 to 77.26.191.25477.26.191.2558,190
21577.26.192.0/1977.26.192.1 to 77.26.223.25477.26.223.2558,190
21677.26.224.0/1977.26.224.1 to 77.26.255.25477.26.255.2558,190
21777.27.0.0/1977.27.0.1 to 77.27.31.25477.27.31.2558,190
21877.27.32.0/1977.27.32.1 to 77.27.63.25477.27.63.2558,190
21977.27.64.0/1977.27.64.1 to 77.27.95.25477.27.95.2558,190
22077.27.96.0/1977.27.96.1 to 77.27.127.25477.27.127.2558,190
22177.27.128.0/1977.27.128.1 to 77.27.159.25477.27.159.2558,190
22277.27.160.0/1977.27.160.1 to 77.27.191.25477.27.191.2558,190
22377.27.192.0/1977.27.192.1 to 77.27.223.25477.27.223.2558,190
22477.27.224.0/1977.27.224.1 to 77.27.255.25477.27.255.2558,190
22577.28.0.0/1977.28.0.1 to 77.28.31.25477.28.31.2558,190
22677.28.32.0/1977.28.32.1 to 77.28.63.25477.28.63.2558,190
22777.28.64.0/1977.28.64.1 to 77.28.95.25477.28.95.2558,190
22877.28.96.0/1977.28.96.1 to 77.28.127.25477.28.127.2558,190
22977.28.128.0/1977.28.128.1 to 77.28.159.25477.28.159.2558,190
23077.28.160.0/1977.28.160.1 to 77.28.191.25477.28.191.2558,190
23177.28.192.0/1977.28.192.1 to 77.28.223.25477.28.223.2558,190
23277.28.224.0/1977.28.224.1 to 77.28.255.25477.28.255.2558,190
23377.29.0.0/1977.29.0.1 to 77.29.31.25477.29.31.2558,190
23477.29.32.0/1977.29.32.1 to 77.29.63.25477.29.63.2558,190
23577.29.64.0/1977.29.64.1 to 77.29.95.25477.29.95.2558,190
23677.29.96.0/1977.29.96.1 to 77.29.127.25477.29.127.2558,190
23777.29.128.0/1977.29.128.1 to 77.29.159.25477.29.159.2558,190
23877.29.160.0/1977.29.160.1 to 77.29.191.25477.29.191.2558,190
23977.29.192.0/1977.29.192.1 to 77.29.223.25477.29.223.2558,190
24077.29.224.0/1977.29.224.1 to 77.29.255.25477.29.255.2558,190
24177.30.0.0/1977.30.0.1 to 77.30.31.25477.30.31.2558,190
24277.30.32.0/1977.30.32.1 to 77.30.63.25477.30.63.2558,190
24377.30.64.0/1977.30.64.1 to 77.30.95.25477.30.95.2558,190
24477.30.96.0/1977.30.96.1 to 77.30.127.25477.30.127.2558,190
24577.30.128.0/1977.30.128.1 to 77.30.159.25477.30.159.2558,190
24677.30.160.0/1977.30.160.1 to 77.30.191.25477.30.191.2558,190
24777.30.192.0/1977.30.192.1 to 77.30.223.25477.30.223.2558,190
24877.30.224.0/1977.30.224.1 to 77.30.255.25477.30.255.2558,190
24977.31.0.0/1977.31.0.1 to 77.31.31.25477.31.31.2558,190
25077.31.32.0/1977.31.32.1 to 77.31.63.25477.31.63.2558,190
25177.31.64.0/1977.31.64.1 to 77.31.95.25477.31.95.2558,190
25277.31.96.0/1977.31.96.1 to 77.31.127.25477.31.127.2558,190
25377.31.128.0/1977.31.128.1 to 77.31.159.25477.31.159.2558,190
25477.31.160.0/1977.31.160.1 to 77.31.191.25477.31.191.2558,190
25577.31.192.0/1977.31.192.1 to 77.31.223.25477.31.223.2558,190
25677.31.224.0/1977.31.224.1 to 77.31.255.25477.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses